This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 801753 - when running yum list updates into pipe, some long packages are not displayed
when running yum list updates into pipe, some long packages are not displayed
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.8
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-09 07:17 EST by Jan Hutař
Modified: 2014-01-21 01:24 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-12 16:11:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2012-03-09 07:17:51 EST
Description of problem:
When I'm running `yum list updates` into pipe, some long package names are not displayed.


Version-Release number of selected component (if applicable):
yum-3.2.22-39.el5


How reproducible:
always


Steps to Reproduce:
1. yum list updates
2. yum list updates | grep something
3. compare results (I do expect you have lot of packages with long name available as update)


Actual results:
# yum list updates
[...]
perl-IPC-ShareLite.i386                                      0.13-6.el5sat                redhat-rhn-satellite-5.4-server-i386-5
perl-MIME-Lite.noarch                                        3.01-6.el5                   redhat-rhn-satellite-5.4-server-i386-5
perl-Mail-RFC822-Address.noarch                              0.3-12.el5sat                redhat-rhn-satellite-5.4-server-i386-5
perl-NOCpulse-CLAC.noarch                                    1.9.8-1.el5sat               redhat-rhn-satellite-5.4-server-i386-5
[...]
# yum list updates | grep 'redhat-rhn-satellite-5.4-server-i386-5$'
[...]
                       0.13-6.el5sat      redhat-rhn-satellite-5.4-server-i386-5
perl-MIME-Lite.noarch  3.01-6.el5         redhat-rhn-satellite-5.4-server-i386-5
                       0.3-12.el5sat      redhat-rhn-satellite-5.4-server-i386-5
                       1.9.8-1.el5sat     redhat-rhn-satellite-5.4-server-i386-5
[...]


Expected results:
Outputs should contain same info or package names should be trimmed, not removed IMO.
Comment 1 James Antill 2012-04-12 16:11:04 EDT
They are just being wrapped at 80 characters, not removed.

Use repoquery if you want pipe data.

Note You need to log in before you can comment on or make changes to this bug.